package ru.fincode.tsudesk.feature.schedule.data.datasource

import ru.fincode.tsudesk.core.network.model.NetworkResult
import ru.fincode.tsudesk.feature.schedule.data.remote.dto.ScheduleDto

interface ScheduleRemoteDataSource {
    suspend fun loadScheduleByGroup(number: String): NetworkResult<ScheduleDto>
    suspend fun loadScheduleByTeacher(name: String): NetworkResult<ScheduleDto>
}
